package at.test.client;

import at.test.MySingletonBeanRemote;
import at.test.MyStatelessBeanRemote;
import java.util.Properties;
import javax.naming.InitialContext;
import org.apache.log4j.ConsoleAppender;
import org.apache.log4j.Logger;
import org.apache.log4j.PatternLayout;
import org.jboss.security.client.SecurityClient;
import org.jboss.security.client.SecurityClientFactory;

public class Main {

    public static void main(String[] args) {
        Logger root = Logger.getRootLogger();
        root.addAppender(new ConsoleAppender(new PatternLayout(PatternLayout.TTCC_CONVERSION_PATTERN)));

        try {
            SecurityClient securityClient = SecurityClientFactory.getSecurityClient();
            securityClient.setSimple("john", "needle");
            securityClient.login();

            Properties p = new Properties();
            p.put("java.naming.factory.initial","org.jnp.interfaces.NamingContextFactory");
            p.put("java.naming.provider.url","jnp://localhost:1099");
            p.put("java.naming.factory.url.pkgs","org.jboss.naming:org.jnp.interfaces");

            InitialContext ctx = new InitialContext(p);

            MyStatelessBeanRemote myStatelessSessionBean = (MyStatelessBeanRemote) ctx.lookup("SingletonAuthTest/MyStatelessBean/remote-at.test.MyStatelessBeanRemote");
            System.out.println("MyStatelessBeanRemote --> " + myStatelessSessionBean.sayHello());

            System.out.println("\n\n\n\n\n");

            MySingletonBeanRemote mySingletonBeanRemote = (MySingletonBeanRemote) ctx.lookup("SingletonAuthTest/MySingletonBean/remote-at.test.MySingletonBeanRemote");
            System.out.println("MySingletonBeanRemote --> " + mySingletonBeanRemote.sayHello());

        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

}
